# FoundationClasses
TKernel
Standard

# Standard_AncestorIterator Class Reference

The class <ancestoriterator> is a iterator which provides
information about inheritance.
An AncestorIterator object is used to scan sequentially the
hierarchy of a type object from its direct super-type to the root.
.

`#include <Standard_AncestorIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Standard_AncestorIterator (const Standard_AncestorIterator &anOther)
| The copy constructor for a AncestorIterator . .
Standard_EXPORT | Standard_AncestorIterator (const Handle(Standard_Type)&aType)
| Creates an iterator on the type <atype>. Set the iterator at the beginning of the ancestors; this means near parents are first. .
Standard_EXPORT void | Assign (const Standard_AncestorIterator &anOther)
| Assigns an AncestorIterator from another AncestorIterator. .
void | operator= (const Standard_AncestorIterator &anOther)
Standard_EXPORT Standard_Boolean | More () const
| Returns True if there are other ancestors. .
Standard_EXPORT void | Next ()
| Moves the position of the iterator to the next super-type. If the current position corresponds to a root class, it becomes undefined. .
Standard_EXPORT Standard_AncestorIterator | Iterator () const
| Returns an <ancestoriterator> corresponding to the current position of the iterator. If there are no more Ancestors. .
Standard_EXPORT Handle_Standard_Type | Value () const
| Returns the type corresponding to the current position of the iterator. .

## Private Attributes

Handle_Standard_Type | myType
Standard_Integer | myNbIter

## Constructor & Destructor Documentation

Standard_EXPORT Standard_AncestorIterator::Standard_AncestorIterator | ( | const Standard_AncestorIterator & | anOther | ) |

Standard_EXPORT Standard_AncestorIterator::Standard_AncestorIterator | ( | const Handle(Standard_Type)& | aType | ) |

## Member Function Documentation

Standard_EXPORT void Standard_AncestorIterator::Assign | ( | const Standard_AncestorIterator & | anOther | ) |

Standard_EXPORT Standard_AncestorIterator Standard_AncestorIterator::Iterator | ( |  | ) | const

Standard_EXPORT Standard_Boolean Standard_AncestorIterator::More | ( |  | ) | const

Standard_EXPORT void Standard_AncestorIterator::Next | ( |  | ) |

void Standard_AncestorIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Standard_AncestorIterator::operator new | ( | size_t | size | ) | `[inline]`

void* Standard_AncestorIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Standard_AncestorIterator::operator= | ( | const Standard_AncestorIterator & | anOther | ) | `[inline]`

Standard_EXPORT Handle_Standard_Type Standard_AncestorIterator::Value | ( |  | ) | const

## Field Documentation

Standard_Integer Standard_AncestorIterator::myNbIter `[private]`

Handle_Standard_Type Standard_AncestorIterator::myType `[private]`

The documentation for this class was generated from the following file:

- Standard_AncestorIterator.hxx